package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B51T00Datatype implements Serializable {
	
	private String ejercicio = "";
	private String numExp = "";
	private String noCorrInmovIntang = "";
	private String noCorrInmovMat = "";
	private String noCorrInverInmob = "";
	private String noCorrInverEmp = "";
	private String noCorrInverFinanc = "";
	private String noCorrImpuesDif = "";
	private String corrNoCorr = "";
	private String corrExist = "";
	private String corrDeudClientes = "";
	private String corrDeudAccionis = "";
	private String corrDeudOtros = "";
	private String corrInverEmp = "";
	private String corrInverFinanc = "";
	private String corrPeriodif = "";
	private String corrEfect = "";
	
	
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the noCorrInmovIntang.
	 */
	public String getNoCorrInmovIntang() {
		return noCorrInmovIntang;
	}
	/**
	 * @param noCorrInmovIntang The noCorrInmovIntang to set.
	 */
	public void setNoCorrInmovIntang(String noCorrInmovIntang) {
		this.noCorrInmovIntang = noCorrInmovIntang;
	}
	
	/**
	 * @return Returns the noCorrInmovMat.
	 */
	public String getNoCorrInmovMat() {
		return noCorrInmovMat;
	}
	/**
	 * @param noCorrInmovMat The noCorrInmovMat to set.
	 */
	public void setNoCorrInmovMat(String noCorrInmovMat) {
		this.noCorrInmovMat = noCorrInmovMat;
	}
	
	/**
	 * @return Returns the noCorrInverInmob.
	 */
	public String getNoCorrInverInmob() {
		return noCorrInverInmob;
	}
	/**
	 * @param noCorrInverInmob The noCorrInverInmob to set.
	 */
	public void setNoCorrInverInmob(String noCorrInverInmob) {
		this.noCorrInverInmob = noCorrInverInmob;
	}
	
	/**
	 * @return Returns the noCorrInverEmp.
	 */
	public String getNoCorrInverEmp() {
		return noCorrInverEmp;
	}
	/**
	 * @param noCorrInverEmp The noCorrInverEmp to set.
	 */
	public void setNoCorrInverEmp(String noCorrInverEmp) {
		this.noCorrInverEmp = noCorrInverEmp;
	}
	
	/**
	 * @return Returns the noCorrInverFinanc.
	 */
	public String getNoCorrInverFinanc() {
		return noCorrInverFinanc;
	}
	/**
	 * @param noCorrInverFinanc The noCorrInverFinanc to set.
	 */
	public void setNoCorrInverFinanc(String noCorrInverFinanc) {
		this.noCorrInverFinanc = noCorrInverFinanc;
	}
	
	/**
	 * @return Returns the noCorrImpuesDif.
	 */
	public String getNoCorrImpuesDif() {
		return noCorrImpuesDif;
	}
	/**
	 * @param noCorrImpuesDif The noCorrImpuesDif to set.
	 */
	public void setNoCorrImpuesDif(String noCorrImpuesDif) {
		this.noCorrImpuesDif = noCorrImpuesDif;
	}
	
	/**
	 * @return Returns the corrNoCorr.
	 */
	public String getCorrNoCorr() {
		return corrNoCorr;
	}
	/**
	 * @param corrNoCorr The corrNoCorr to set.
	 */
	public void setCorrNoCorr(String corrNoCorr) {
		this.corrNoCorr = corrNoCorr;
	}
	
	/**
	 * @return Returns the corrExist.
	 */
	public String getCorrExist() {
		return corrExist;
	}
	/**
	 * @param corrExist The corrExist to set.
	 */
	public void setCorrExist(String corrExist) {
		this.corrExist = corrExist;
	}
	
	/**
	 * @return Returns the corrDeudClientes.
	 */
	public String getCorrDeudClientes() {
		return corrDeudClientes;
	}
	/**
	 * @param corrDeudClientes The corrDeudClientes to set.
	 */
	public void setCorrDeudClientes(String corrDeudClientes) {
		this.corrDeudClientes = corrDeudClientes;
	}
	
	/**
	 * @return Returns the corrDeudAccionis.
	 */
	public String getCorrDeudAccionis() {
		return corrDeudAccionis;
	}
	/**
	 * @param corrDeudAccionis The corrDeudAccionis to set.
	 */
	public void setCorrDeudAccionis(String corrDeudAccionis) {
		this.corrDeudAccionis = corrDeudAccionis;
	}
	
	/**
	 * @return Returns the corrDeudOtros.
	 */
	public String getCorrDeudOtros() {
		return corrDeudOtros;
	}
	/**
	 * @param corrDeudOtros The corrDeudOtros to set.
	 */
	public void setCorrDeudOtros(String corrDeudOtros) {
		this.corrDeudOtros = corrDeudOtros;
	}
	
	/**
	 * @return Returns the corrInverEmp.
	 */
	public String getCorrInverEmp() {
		return corrInverEmp;
	}
	/**
	 * @param corrInverEmp The corrInverEmp to set.
	 */
	public void setCorrInverEmp(String corrInverEmp) {
		this.corrInverEmp = corrInverEmp;
	}

	/**
	 * @return Returns the corrInverFinanc.
	 */
	public String getCorrInverFinanc() {
		return corrInverFinanc;
	}
	/**
	 * @param corrInverFinanc The corrInverFinanc to set.
	 */
	public void setCorrInverFinanc(String corrInverFinanc) {
		this.corrInverFinanc = corrInverFinanc;
	}
	
	/**
	 * @return Returns the corrPeriodif.
	 */
	public String getCorrPeriodif() {
		return corrPeriodif;
	}
	/**
	 * @param corrPeriodif The corrPeriodif to set.
	 */
	public void setCorrPeriodif(String corrPeriodif) {
		this.corrPeriodif = corrPeriodif;
	}
	
	/**
	 * @return Returns the corrEfect.
	 */
	public String getCorrEfect() {
		return corrEfect;
	}
	/**
	 * @param corrEfect The corrEfect to set.
	 */
	public void setCorrEfect(String corrEfect) {
		this.corrEfect = corrEfect;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; noCorrInmovIntang: ");
		textoImprimir.append(noCorrInmovIntang);
		textoImprimir.append("; noCorrInmovMat: ");
		textoImprimir.append(noCorrInmovMat);
		textoImprimir.append("; noCorrInverInmob: ");
		textoImprimir.append(noCorrInverInmob);
		textoImprimir.append("; noCorrInverEmp: ");
		textoImprimir.append(noCorrInverEmp);
		textoImprimir.append("; noCorrInverFinanc: ");
		textoImprimir.append(noCorrInverFinanc);
		textoImprimir.append("; noCorrImpuesDif: ");
		textoImprimir.append(noCorrImpuesDif);
		textoImprimir.append("; corrNoCorr: ");
		textoImprimir.append(corrNoCorr);
		textoImprimir.append("; corrExist: ");
		textoImprimir.append(corrExist);
		textoImprimir.append("; corrDeudClientes: ");
		textoImprimir.append(corrDeudClientes);
		textoImprimir.append("; corrDeudAccionis: ");
		textoImprimir.append(corrDeudAccionis);
		textoImprimir.append("; corrDeudOtros: ");
		textoImprimir.append(corrDeudOtros);
		textoImprimir.append("; corrInverEmp: ");
		textoImprimir.append(corrInverEmp);
		textoImprimir.append("; corrInverFinanc: ");
		textoImprimir.append(corrInverFinanc);
		textoImprimir.append("; corrPeriodif: ");
		textoImprimir.append(corrPeriodif);
		textoImprimir.append("; corrEfect: ");
		textoImprimir.append(corrEfect);
					
		return textoImprimir.toString();
	}
	

}
